attribute highp vec4 a_vertex;
attribute mediump vec3 a_normal;
attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;

uniform highp mat4 u_ModelViewProj;
uniform highp vec3 u_eyePosition;
uniform highp vec3 u_work1;

uniform lowp vec3 u_lightAmbient;
uniform lowp vec3 u_lightDiffuse;
uniform lowp vec3 u_lightSpecular;
uniform highp vec3 u_lightPosition;
uniform mediump float u_lightConstantAttenuation;
uniform mediump float u_lightLinearAttenuation;
uniform mediump float u_lightQuadraticAttenuation;

//uniform lowp vec3 u_materialAmbient;
//uniform lowp vec3 u_materialDiffuse;
//uniform lowp vec3 u_materialSpecular;
uniform lowp vec3 u_materialEmission;
uniform mediump float u_materialShininess;

uniform lowp float u_alpha;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying lowp vec4 v_diffuse;



uniform highp mat4 u_ModelView;
uniform highp mat4 u_invModelView;




void main()
{
	vec3 N = normalize( a_normal );
	
	vec4 N4 = vec4(N, 0.0);
	gl_Position = u_ModelViewProj * (a_vertex + N4 * 0.16);
	gl_Position.z = gl_Position.z + 0.04;
//	gl_Position	= N4;

//	v_color = a_color;
	
//	v_texCoord = a_texCoord;
}
