uniform lowp sampler2D u_texture;

varying mediump vec2 v_texCoord;
varying mediump float v_start;
varying mediump float v_level;
varying mediump float v_centerx;
varying mediump float v_centery;

mediump vec2 g_input;

void main()
{
	mediump vec4 sampler[ 10 ];
	mediump vec2 dir = vec2(v_centerx, v_centery) - v_texCoord;
	mediump float len = length( dir );
	mediump vec2 offset = normalize( dir ) * v_start;
	offset *= (len);
	
//	sampler[ 0 ] = texture2D( u_texture, v_texCoord ) * 0.19;
//	sampler[ 1 ] = texture2D( u_texture, v_texCoord +offset ) * 0.17;
//	sampler[ 2 ] = texture2D( u_texture, v_texCoord +offset * 2.0 ) * 0.15;
//	sampler[ 3 ] = texture2D( u_texture, v_texCoord +offset * 3.0 ) * 0.13;
//	sampler[ 4 ] = texture2D( u_texture, v_texCoord +offset * 4.0 ) * 0.11;
//	sampler[ 5 ] = texture2D( u_texture, v_texCoord +offset * 5.0 ) * 0.09;
//	sampler[ 6 ] = texture2D( u_texture, v_texCoord +offset * 6.0 ) * 0.07;
//	sampler[ 7 ] = texture2D( u_texture, v_texCoord +offset * 7.0 ) * 0.05;
//	sampler[ 8 ] = texture2D( u_texture, v_texCoord +offset * 8.0 ) * 0.03;
//	sampler[ 9 ] = texture2D( u_texture, v_texCoord +offset * 9.0 ) * 0.01;
//	gl_FragColor = sampler[ 0 ] + sampler[ 1 ] + sampler[ 2 ] + sampler[ 3 ] + sampler[ 4 ] + sampler[ 5 ] + sampler[ 6 ] + sampler[ 7 ] + sampler[ 8 ] + sampler[ 9 ];

	sampler[ 0 ] = texture2D( u_texture, v_texCoord ) * 0.22;
	sampler[ 1 ] = texture2D( u_texture, v_texCoord + offset ) * 0.19;
	sampler[ 2 ] = texture2D( u_texture, v_texCoord + offset * 2.0 ) * 0.18;
	sampler[ 3 ] = texture2D( u_texture, v_texCoord + offset * 3.0 ) * 0.15;
	sampler[ 4 ] = texture2D( u_texture, v_texCoord + offset * 4.0 ) * 0.12;
	sampler[ 5 ] = texture2D( u_texture, v_texCoord + offset * 5.0 ) * 0.09;
	sampler[ 6 ] = texture2D( u_texture, v_texCoord + offset * 6.0 ) * 0.06;
	sampler[ 7 ] = texture2D( u_texture, v_texCoord + offset * 7.0 ) * 0.03;
	gl_FragColor = sampler[ 0 ] + sampler[ 1 ] + sampler[ 2 ] + sampler[ 3 ] + sampler[ 4 ] + sampler[ 5 ] + sampler[ 6 ] + sampler[ 7 ];
}
