uniform lowp sampler2D u_texture;
uniform lowp sampler2D u_texture1;
uniform lowp sampler2D u_texture2;
uniform lowp sampler2D u_texture3;
uniform mediump vec4 u_color;

//varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;

void main()
{
	mediump float color_y = (texture2D(u_texture, v_texCoord.xy).x - 0.0625) * 1.164;
	mediump float color_u = texture2D(u_texture1, v_texCoord.xy).x - 128.0 / 255.0;
	mediump float color_v = texture2D(u_texture2, v_texCoord.xy).x - 128.0 / 255.0;
	mediump float color_a = texture2D(u_texture3, v_texCoord.xy).x;
	gl_FragColor = vec4(color_y + color_v * 1.596, color_y - color_u * 0.392 - color_v * 0.813, color_y + color_u * 2.017, color_a) * u_color;
}
