uniform lowp sampler2D u_texture;
uniform mediump vec4 u_color;

//varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying lowp float v_fogFactor;
//yy varying lowp vec4 v_fogColor;
varying lowp vec3 v_fogColor;

void main()
{
	lowp vec4 texcol2D = texture2D( u_texture, v_texCoord );
	
	if( texcol2D.a <= 0.0 )	discard;
	
	//	gl_FragColor = ( ( v_color * texcol2D ) * v_fogFactor ) + v_fogColor;
	gl_FragColor = vec4( ((u_color.rgb * texcol2D.rgb) * v_fogFactor) + v_fogColor, u_color.a * texcol2D.a );
}
