attribute highp vec4 a_vertex;
//attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;

uniform highp mat4 u_ModelViewProj;
uniform highp mat4 u_ModelView;

uniform highp float u_fogParam1;
uniform highp float u_fogParam2;

//varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying lowp float v_fogFactor;

void main()
{
	highp float z = (u_ModelView * a_vertex).z;

    gl_Position = u_ModelViewProj * a_vertex;
	
//	v_color = a_color;
	
	v_texCoord = a_texCoord;
		
	v_fogFactor = clamp( u_fogParam1 + u_fogParam2 * z, 0.0, 1.0 );
}
