uniform lowp sampler2D u_texture;
uniform mediump vec4 u_color;

varying mediump vec3 v_normal;
varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;

void main()
{
	lowp vec4 texcol2D = texture2D( u_texture, v_texCoord );
	
	// アルファ値が0.0以下であれば描画しない
	if( texcol2D.a <= 0.0 )	discard;
	
	gl_FragColor = u_color * v_color * texcol2D;
}
