attribute highp vec4 a_vertex;
attribute highp vec4 a_color;
attribute highp vec2 a_texCoord;

uniform highp mat4 u_ModelViewProj;

varying highp vec4 v_color;
varying highp vec2 v_texCoord;


void main()
{
    gl_Position = u_ModelViewProj * a_vertex;
	v_color = a_color;
	v_texCoord = a_texCoord;

}
