uniform lowp sampler2D u_texture;
uniform mediump vec4 u_color;

varying mediump vec3 v_normal;
varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;

void main()
{
	gl_FragColor = u_color * v_color * texture2D( u_texture, v_texCoord );
}
