uniform lowp sampler2D u_texture;
uniform lowp sampler2D u_texture1;
uniform mediump vec4 u_color;

uniform lowp float u_work0;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;

void main()
{
	lowp vec4 tex1 = texture2D( u_texture, v_texCoord );
	lowp vec4 tex2 = texture2D( u_texture1, v_texCoord );
	
	gl_FragColor = u_color * v_color * (tex1 * u_work0 + tex2 * (1.0-u_work0));
}
