uniform lowp sampler2D u_texture;
uniform mediump vec4 u_color;

varying lowp vec4 v_color;
varying lowp vec4 v_diffuse;
varying mediump vec2 v_texCoord;
varying lowp float v_fogFactor;
varying lowp vec4 v_fogColor;

void main()
{
	gl_FragColor = u_color * v_color * v_diffuse * texture2D( u_texture, v_texCoord ) * v_fogFactor + v_fogColor;
}
